Skip to main content
Operations Management/Access Control/Console Service Operations
GETConsole Service OperationsSince 0.6SynchronousAuth Required

QueryConsoleProxyAgent

QueryConsoleProxyAgent

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • descriptionStringRequired

      The detailed description of the resource.

    • managementIpStringRequired

      The IP address of the management node.

    • typeStringRequired

      The type.

    • statusStringRequired

      The status, including Connected and Disconnected.

    • stateStringRequired

      The state, including Enabled and Disabled.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/consoles/agents

/zstack/v1/consoles/agents

Operation ID

QueryConsoleProxyAgent

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/consoles/agents' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "c77bbc7d3364449e9543d0776a6087de", "managementIp": "127.0.0.1", "type": "ManagementServerConsoleProxy", "state": "Connected" } ] }

Change History

This API has no change history records yet.

View all change history